Bug 152454 - [update] sysutils/gdisk -> 0.6.13, respect CC/CXX, now builds on amd64
Summary: [update] sysutils/gdisk -> 0.6.13, respect CC/CXX, now builds on amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-21 18:40 UTC by Emanuel Haupt
Modified: 2010-11-28 10:00 UTC (History)
0 users

See Also:


Attachments
gdisk.patch (1.91 KB, patch)
2010-11-21 18:40 UTC, Emanuel Haupt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt freebsd_committer 2010-11-21 18:40:08 UTC
- Update sysutils/gdisk to 0.6.13
- Port now respects CC/CXX and
- builds on amd64
Comment 1 Edwin Groothuis freebsd_committer 2010-11-21 18:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-11-21 18:40:16 UTC
Maintainer of sysutils/gdisk,

Please note that PR ports/152454 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152454

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-11-21 18:40:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Dmitry Fomin 2010-11-27 23:48:23 UTC
Thanks for the test on amd64.
Patch from the maintainer:

- Update sysutils/gdisk to 0.6.13
- Builds on amd64

--- gdisk-0613.patch begins here ---
diff -ruN /usr/ports/sysutils/gdisk/Makefile gdisk/Makefile
--- /usr/ports/sysutils/gdisk/Makefile	2010-11-23 01:55:21.000000000 +0000
+++ gdisk/Makefile	2010-11-23 02:20:27.000000000 +0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gdisk
-PORTVERSION=	0.6.11
+PORTVERSION=	0.6.13
 CATEGORIES=	sysutils
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	gptfdisk/gptfdisk/${PORTVERSION}
@@ -23,7 +23,7 @@
 
 FETCH_ARGS=	-Rr
 
-ONLY_FOR_ARCHS=	i386
+ONLY_FOR_ARCHS=	i386 amd64
 
 .include <bsd.port.pre.mk>
 
diff -ruN /usr/ports/sysutils/gdisk/distinfo gdisk/distinfo
--- /usr/ports/sysutils/gdisk/distinfo	2010-11-23 01:55:21.000000000 +0000
+++ gdisk/distinfo	2010-11-28 03:08:19.000000000 +0000
@@ -1,3 +1,2 @@
-MD5 (gdisk-0.6.11.tgz) = 4572755a47977a0d1f385f6ee1b00643 
-SHA256 (gdisk-0.6.11.tgz) = 8d4990ef04f166f42e279e23b445f561206fd2fcc000962095e3dfd41cccc0d2
-SIZE (gdisk-0.6.11.tgz) = 133535 
+SHA256 (gdisk-0.6.13.tgz) = 47bb07d92ab13d652eacd6c8118fdf05d05168afae6691824099e4db8217f4a6
+SIZE (gdisk-0.6.13.tgz) = 135082 
diff -ruN /usr/ports/sysutils/gdisk/files/patch-guid.h gdisk/files/patch-guid.h
--- /usr/ports/sysutils/gdisk/files/patch-guid.h	1970-01-01 00:00:00.000000000 +0000
+++ gdisk/files/patch-guid.h	2010-11-23 03:07:46.000000000 +0000
@@ -0,0 +1,11 @@
+--- guid.h	2010-10-12 16:20:05.000000000 +0000
++++ guid.h	2010-11-23 03:01:39.000000000 +0000
+@@ -22,7 +22,7 @@
+ #ifdef _WIN32
+ typedef unsigned char my_uuid_t[16];
+ #else
+-#include </usr/include/uuid/uuid.h>
++#include <uuid/uuid.h>
+ typedef uuid_t my_uuid_t;
+ #endif
+ 
--- gdisk-0613.patch ends here ---
Comment 5 dfilter service freebsd_committer 2010-11-28 09:58:58 UTC
ehaupt      2010-11-28 09:58:54 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/gdisk       Makefile distinfo 
  Added files:
    sysutils/gdisk/files patch-Makefile.freebsd 
  Log:
  - Update to 0.6.13
  - now respects CC/CXX and
  - builds on amd64
  
  PR:             152454
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.3       +5 -2      ports/sysutils/gdisk/Makefile
  1.3       +2 -3      ports/sysutils/gdisk/distinfo
  1.1       +10 -0     ports/sysutils/gdisk/files/patch-Makefile.freebsd (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Emanuel Haupt freebsd_committer 2010-11-28 09:59:13 UTC
State Changed
From-To: feedback->closed

Committed, thanks!